Bug 1472490 - python-eyed3: Provide a Python 3 subpackage
Summary: python-eyed3: Provide a Python 3 subpackage
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-eyed3 (Show other bugs)
(Show other bugs)
Version: 27
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David King
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PYTHON3 PY3PATCH-AVAILABLE
TreeView+ depends on / blocked
 
Reported: 2017-07-18 22:13 UTC by Iryna Shcherbina
Modified: 2018-05-05 20:32 UTC (History)
5 users (show)

Fixed In Version: python-eyed3-0.8-1.fc29 python-eyed3-0.8-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-04-24 18:32:27 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Iryna Shcherbina 2017-07-18 22:13:52 UTC
Upstream, this software supports Python 3 starting version 0.8 [0].
Please provide a Python 3 package for Fedora.


According to the Python packaging guidelines [1], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [2].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's OK to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 26 as well.


If you need more instructions, a guide for porting Python-based RPMs is
available at [3].
If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!

[0] https://github.com/nicfit/eyeD3/releases/tag/v0.8
[1] https://fedoraproject.org/wiki/Packaging:Python
[2] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
[3] http://python-rpm-porting.readthedocs.io/

Comment 1 Jan Kurik 2017-08-15 08:26:49 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 2 Iryna Shcherbina 2017-08-23 15:36:40 UTC
I have created a PR to update to the latest version and add Python 3 support:
https://src.fedoraproject.org/rpms/python-eyed3/pull-request/1

I would kindly ask you to review it and merge at will.

Koji scratch build for the PR:
https://koji.fedoraproject.org/koji/taskinfo?taskID=21422506

Comment 3 David King 2018-04-24 18:32:27 UTC
Thanks for the patch! I merged it, adding a bug reference to the RPM changelog.

Comment 4 Fedora Update System 2018-04-24 18:43:16 UTC
python-eyed3-0.8-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-889870dd8f

Comment 5 Fedora Update System 2018-04-26 04:51:37 UTC
python-eyed3-0.8-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-889870dd8f

Comment 6 Fedora Update System 2018-05-05 20:32:34 UTC
python-eyed3-0.8-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.